export const connectConfigurationSurfaceTemplate = `import { Card, CardTitle, ConnectConfigurationSurface, ConnectedConnectForm } from "@netlify/sdk/ui/react/components";
import { useNetlifySDK } from "@netlify/sdk/ui/react";
import { configFieldsMeta, ConnectorConfigurationSchema } from "../../schema/connector-configuration";
import { trpc } from "../trpc.js";

export const ConnectConfiguration = () => {
  const sdk = useNetlifySDK();

  return (
    <ConnectConfigurationSurface>
      <Card>
        <CardTitle>{sdk.extension.name}</CardTitle>
        <ConnectedConnectForm fieldsMeta={configFieldsMeta} schema={ConnectorConfigurationSchema} connect={trpc.connect} />
      </Card>
    </ConnectConfigurationSurface>
  );
};
`;
